<?php

namespace App\Filament\Resources\Hotels\Pages;

use App\Filament\Resources\Hotels\HotelResource;
use App\Filament\Resources\Hotels\Schemas\HotelInfolist;
use Filament\Actions;
use Filament\Resources\Pages\ViewRecord;
use Filament\Schemas\Schema;

class ViewHotel extends ViewRecord
{
    protected static string $resource = HotelResource::class;

    public function infolist(Schema $schema): Schema
    {
        return HotelInfolist::configure($schema);
    }

    protected function getHeaderActions(): array
    {
        return [
            Actions\EditAction::make(),
        ];
    }
}
